ps_seg_s Struct Reference

Base structure for hypothesis segmentation iterator. More...

`#include <pocketsphinx_internal.h>`

## Data Fields

ps_segfuncs_t * | vt
| V-table of seg methods.
ps_search_t * | search
| Search object from whence this came.
char const * | word
| Word string (pointer into dictionary hash)
frame_idx_t | sf
| Start frame. More...
frame_idx_t | ef
| End frame. More...
int32 | ascr
| Acoustic score. More...
int32 | lscr
| Language model score. More...
int32 | prob
| Log posterior probability. More...
int32 | lback
| Language model backoff. More...
float32 | lwf
| Language weight factor (for second-pass searches)

## Detailed Description

Base structure for hypothesis segmentation iterator.

Definition at line 178 of file pocketsphinx_internal.h.

## Field Documentation

int32 ps_seg_s::ascr

Acoustic score.

Definition at line 184 of file pocketsphinx_internal.h.

Referenced by ngram_search_exit_score(), ps_lattice_hyp(), and ps_seg_prob().

frame_idx_t ps_seg_s::ef

End frame.

Definition at line 183 of file pocketsphinx_internal.h.

Referenced by ngram_search_exit_score(), ps_astar_hyp(), ps_lattice_hyp(), and ps_seg_frames().

int32 ps_seg_s::lback

Language model backoff.

Definition at line 189 of file pocketsphinx_internal.h.

Referenced by ngram_search_exit_score(), ps_lattice_hyp(), and ps_seg_prob().

int32 ps_seg_s::lscr

Language model score.

Definition at line 185 of file pocketsphinx_internal.h.

Referenced by ngram_search_exit_score(), ps_lattice_hyp(), and ps_seg_prob().

int32 ps_seg_s::prob

Log posterior probability.

Definition at line 186 of file pocketsphinx_internal.h.

Referenced by ngram_search_exit_score(), ps_astar_hyp(), ps_lattice_hyp(), and ps_seg_prob().

frame_idx_t ps_seg_s::sf

Start frame.

Definition at line 182 of file pocketsphinx_internal.h.

Referenced by ngram_search_exit_score(), ps_astar_hyp(), ps_lattice_hyp(), and ps_seg_frames().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/pocketsphinx_internal.h